Package org.zkoss.web.servlet.dsp.action

## Class Out

- java.lang.Object
- - org.zkoss.web.servlet.dsp.action.AbstractAction
  - - org.zkoss.web.servlet.dsp.action.Out

- All Implemented Interfaces:
    `Action`

      public class Out
      extends AbstractAction

  Generates the specified value into a string.
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Out()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getEscapeXML()` | Returns whether to escape XML.
    `int` | `getMaxlength()` | Returns the maxlength of bytes to output.
    `boolean` | `getNbsp()` | Returns whether to generate &nbsp; if the content is empty.
    `java.lang.String` | `getValue()` | Returns the value.
    `boolean` | `isPre()` | Returns whether to preserve the white spaces, such as space.
    `void` | `render​(ActionContext ac, boolean nested)` | Processes the action and renders the output to `ActionContext.getOut()`.
    `void` | `setEscapeXML​(boolean escapeXML)` | Sets whether to escape XML.
    `void` | `setMaxlength​(int maxlength)` | Sets the maxlength to output.
    `void` | `setNbsp​(boolean nbsp)` | Sets whether to generate &nbsp; if the content is empty.
    `void` | `setPre​(boolean pre)` | Sets whether to preserve the white spaces, such as space.
    `void` | `setValue​(java.lang.String value)` | Sets the value.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.zkoss.web.servlet.dsp.action.AbstractAction

      `append, append, append, getIf, getUnless, isEffective, setIf, setUnless, toScope`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Out

          public Out()

  - ### Method Detail

    - #### getEscapeXML

          public boolean getEscapeXML()

      Returns whether to escape XML. Default: true.

    - #### setEscapeXML

          public void setEscapeXML​(boolean escapeXML)

      Sets whether to escape XML.

    - #### getNbsp

          public boolean getNbsp()

      Returns whether to generate &nbsp; if the content is empty. Default: false.

    - #### setNbsp

          public void setNbsp​(boolean nbsp)

      Sets whether to generate &nbsp; if the content is empty.

    - #### getValue

          public java.lang.String getValue()

      Returns the value. Default: null.

    - #### setValue

          public void setValue​(java.lang.String value)

      Sets the value.

    - #### getMaxlength

          public int getMaxlength()

      Returns the maxlength of bytes to output.

      Default: 0 (no limit).

    - #### setMaxlength

          public void setMaxlength​(int maxlength)

      Sets the maxlength to output.

    - #### setPre

          public void setPre​(boolean pre)

      Sets whether to preserve the white spaces, such as space.
      Since:
        3.6.3.

    - #### isPre

          public boolean isPre()

      Returns whether to preserve the white spaces, such as space.

      Default: false;

      Since:
        3.6.3.

    - #### render

          public void render​(ActionContext ac,
                             boolean nested)
                      throws DspException,
                             java.io.IOException

      Description copied from interface: `Action`
      Processes the action and renders the output to `ActionContext.getOut()`.
        `nested` - whether there is any nested content.
      Throws:
        `DspException`
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`